public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/icingaweb2-module-director/
Date: Thu, 30 Jun 2016 22:57:38 +0000 (UTC)	[thread overview]
Message-ID: <1467327425.ad78aa38a07dcf38d30798dd7c89bddd7ff0d058.prometheanfire@gentoo> (raw)

commit:     ad78aa38a07dcf38d30798dd7c89bddd7ff0d058
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 30 22:57:05 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Jun 30 22:57:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad78aa38

www-apps/icingaweb2-module-director: adding for bug 582568

Package-Manager: portage-2.2.28

 www-apps/icingaweb2-module-director/Manifest       |  1 +
 .../icingaweb2-module-director-1.1.0.ebuild        | 33 ++++++++++++++++++++++
 .../icingaweb2-module-director-9999.ebuild         | 33 ++++++++++++++++++++++
 www-apps/icingaweb2-module-director/metadata.xml   | 10 +++++++
 4 files changed, 77 insertions(+)

diff --git a/www-apps/icingaweb2-module-director/Manifest b/www-apps/icingaweb2-module-director/Manifest
new file mode 100644
index 0000000..c6e2b5e
--- /dev/null
+++ b/www-apps/icingaweb2-module-director/Manifest
@@ -0,0 +1 @@
+DIST icingaweb2-module-director-1.1.0.tar.gz 1287302 SHA256 525434cf8555bfa07aba351769006691fed2a570ec01b06576a901e89647d8df SHA512 a1253c1c803f05b238e12d86e7a367c56e10998293f99beb645ba3ca4d7165407a34dd4f53ef84ee1338464013201adb4fcee09cf3ca78d8850513c366a7a038 WHIRLPOOL 28c7a898c3a0f07bb69932d8d54a39a7f7b225ede32794500f3d75ad8fb0ef168e88c263996d3564603ab6c5a70ea5bf5ad00f4590269f086ae4c933008c62e7

diff --git a/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.1.0.ebuild b/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.1.0.ebuild
new file mode 100644
index 0000000..539cc51
--- /dev/null
+++ b/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Icinga Web 2 plugin for configuration"
+HOMEPAGE="https://dev.icinga.org/projects/icingaweb2-module-director/"
+if [[ "${PV}" == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Icinga/icingaweb2-module-director.git"
+else
+	KEYWORDS="~amd64 ~x86"
+	MY_PN="icingaweb2-module-director"
+	SRC_URI="https://codeload.github.com/Icinga/${MY_PN}/tar.gz/v${PV} -> ${P}.tar.gz"
+	S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=net-analyzer/icinga2-2.4.3
+	>=www-apps/icingaweb2-2.2.0
+	|| (
+		dev-lang/php:5.6[curl]
+		dev-lang/php:7.0[curl]
+	)"
+RDEPEND="${DEPEND}"
+
+src_install() {
+	insinto "/usr/share/icingaweb2/modules/director/"
+	doins -r "${S}"/*
+}

diff --git a/www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild b/www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild
new file mode 100644
index 0000000..539cc51
--- /dev/null
+++ b/www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Icinga Web 2 plugin for configuration"
+HOMEPAGE="https://dev.icinga.org/projects/icingaweb2-module-director/"
+if [[ "${PV}" == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Icinga/icingaweb2-module-director.git"
+else
+	KEYWORDS="~amd64 ~x86"
+	MY_PN="icingaweb2-module-director"
+	SRC_URI="https://codeload.github.com/Icinga/${MY_PN}/tar.gz/v${PV} -> ${P}.tar.gz"
+	S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=net-analyzer/icinga2-2.4.3
+	>=www-apps/icingaweb2-2.2.0
+	|| (
+		dev-lang/php:5.6[curl]
+		dev-lang/php:7.0[curl]
+	)"
+RDEPEND="${DEPEND}"
+
+src_install() {
+	insinto "/usr/share/icingaweb2/modules/director/"
+	doins -r "${S}"/*
+}

diff --git a/www-apps/icingaweb2-module-director/metadata.xml b/www-apps/icingaweb2-module-director/metadata.xml
new file mode 100644
index 0000000..1301fb3
--- /dev/null
+++ b/www-apps/icingaweb2-module-director/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>prometheanfire@gentoo.org</email>
+		<name>Matthew Thode</name>
+	</maintainer>
+	<longdescription lang="en">
+	</longdescription>
+</pkgmetadata>


             reply	other threads:[~2016-06-30 22:57 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-30 22:57 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-10-04  9:17 [gentoo-commits] repo/gentoo:master commit in: www-apps/icingaweb2-module-director/ Michał Górny
2018-06-15 22:03 Matt Thode
2019-03-24 18:37 Matthew Thode
2019-04-25  1:11 Matthew Thode
2021-06-08  2:56 Matthew Thode
2021-07-05 20:02 Matthew Thode
2021-08-06 15:13 Matthew Thode
2021-12-28 21:25 Matthew Thode
2021-12-29 17:11 Matthew Thode
2022-03-03 18:17 Jakov Smolić
2022-03-03 18:17 Jakov Smolić
2022-04-05 19:03 Brian Evans
2022-07-07 15:56 Matthew Thode
2022-08-09  1:10 Matthew Thode
2022-09-09  4:48 Matthew Thode
2023-09-13  9:26 David Seifert
2023-09-13  9:26 David Seifert
2023-09-13  9:26 David Seifert
2024-01-11 14:06 Joonas Niilola
2024-01-11 14:06 Joonas Niilola
2024-03-16  9:26 Joonas Niilola
2024-03-16  9:26 Joonas Niilola
2025-02-15  9:29 Ulrich Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1467327425.ad78aa38a07dcf38d30798dd7c89bddd7ff0d058.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox